Page MenuHomePhabricator

Stylesheets should not both specify "media" and contain @media
Closed, ResolvedPublic

Description

I uploaded a patch set for the Disambiguator extension, and there was an unrelated test failure, apparently caused by the Metrolook skin. This should be fixed.

06:46:12 1) ResourcesTest::testStyleMedia with data set #21 ('skins.metrolook.styles.responsive', 'screen', 'screen.mobile.less', stdClass)
06:46:12 Stylesheets should not both specify "media" and contain @media
06:46:12 Failed asserting that false is true.
06:46:12 
06:46:12 /mnt/jenkins-workspace/workspace/mwext-testextension-zend/src/tests/phpunit/structure/ResourcesTest.php:36
06:46:12 /mnt/jenkins-workspace/workspace/mwext-testextension-zend/src/tests/phpunit/MediaWikiTestCase.php:137

Event Timeline

PleaseStand raised the priority of this task from to Needs Triage.
PleaseStand updated the task description. (Show Details)
PleaseStand added a project: Metrolook.
PleaseStand added a subscriber: PleaseStand.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 26 2015, 8:43 AM
Paladox set Security to None.Sep 26 2015, 11:25 AM
Paladox added a subscriber: Paladox.

And could be to do with extension-unittests-generic test added recently to metrolook.

Not sure how to fix this problem.

Will be fixed when the Jenkins jobs mw-testextension* are moved to Nodepool instance. There will be no more any leftover from previous build.

Paladox added a comment.EditedDec 15 2016, 8:59 AM

@hashar but this fails on the skins tests for example the Metrolook one. Probably want to skip this one on the skins test please.

hashar closed this task as Resolved.Apr 30 2018, 3:17 PM
hashar claimed this task.

The original issue got fixed when migrating jobs to Nodepool which starts with an empty workspace. Hence there is no more an unrelated skin/extension left behind from a previous build.